Name:           fpaste
Version:        0.4.5.1
Release:        %mkrel 1
Summary:        A simple tool for pasting info onto fpaste.org
License:        GPLv3+
Group:          Text tools
URL:            https://pagure.io/fpaste
Source0:        https://pagure.io/fpaste/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

%description
It is often useful to be able to easily paste text to the Fedora
Pastebin at http://fpaste.org and this simple script will do that
and return the resulting URL so that people may examine the
output. This can hopefully help folks who are for some reason
stuck without X, working remotely, or any other reason they may
be unable to paste something into the pastebin.

%prep
%autosetup -p1

%build
#nothing required

%install
%make_install

%files
%doc CHANGELOG README.rst
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*


%changelog
* Mon Apr 01 2024 daviddavid <daviddavid> 0.4.5.1-1.mga10
+ Revision: 2053615
- new version: 0.4.5.1

* Wed Nov 01 2023 daviddavid <daviddavid> 0.4.4.0-1.mga10
+ Revision: 2003356
- new version: 0.4.4.0

* Thu Dec 29 2022 daviddavid <daviddavid> 0.4.3.0-1.mga9
+ Revision: 1927871
- new version: 0.4.3.0

* Thu Oct 06 2022 neoclust <neoclust> 0.4.2.0-1.mga9
+ Revision: 1895099
- New version 0.4.2.0

* Mon Mar 21 2022 umeabot <umeabot> 0.4.1.1-2.mga9
+ Revision: 1813566
- Mageia 9 Mass Rebuild

* Tue Nov 03 2020 akien <akien> 0.4.1.1-1.mga8
+ Revision: 1642184
- Version 0.4.1.1

* Fri Oct 16 2020 akien <akien> 0.4.1.0-1.mga8
+ Revision: 1636443
- Version 0.4.1.0

* Tue Feb 18 2020 umeabot <umeabot> 0.4.0.1-2.mga8
+ Revision: 1540762
- Mageia 8 Mass Rebuild

* Mon Dec 16 2019 akien <akien> 0.4.0.1-1.mga8
+ Revision: 1468212
- Version 0.4.0.1

* Sat Nov 03 2018 daviddavid <daviddavid> 0.3.9.2-1.mga7
+ Revision: 1328040
- new version: 0.3.9.2

* Thu Sep 20 2018 umeabot <umeabot> 0.3.9.1-2.mga7
+ Revision: 1278365
- Mageia 7 Mass Rebuild

* Mon Jun 18 2018 akien <akien> 0.3.9.1-1.mga7
+ Revision: 1237808
- Version 0.3.9.1

* Sat Aug 26 2017 akien <akien> 0.3.9.0-1.mga7
+ Revision: 1147970
- 0.3.9.0

* Sat Nov 12 2016 akien <akien> 0.3.8.3-1.mga6
+ Revision: 1066825
- Version 0.3.8.3

* Fri Feb 19 2016 umeabot <umeabot> 0.3.8.1-2.mga6
+ Revision: 970242
- Mageia 6 Mass Rebuild

* Wed Sep 30 2015 daviddavid <daviddavid> 0.3.8.1-1.mga6
+ Revision: 885496
- new version: 0.3.8.1

* Thu Jul 23 2015 daviddavid <daviddavid> 0.3.8.0-1.mga6
+ Revision: 856596
- new version: 0.3.8.0

* Mon Jul 13 2015 daviddavid <daviddavid> 0.3.7.4-1.mga6
+ Revision: 853549
- new version: 0.3.7.4

* Wed Oct 15 2014 umeabot <umeabot> 0.3.7.3.3-3.mga5
+ Revision: 741233
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.7.3.3-2.mga5
+ Revision: 679315
- Mageia 5 Mass Rebuild

* Fri Aug 22 2014 daviddavid <daviddavid> 0.3.7.3.3-1.mga5
+ Revision: 666387
- remove all patches as they've been merged upstream
- new version: 0.3.7.3.3

* Sat Oct 19 2013 umeabot <umeabot> 0.3.7.1-6.mga4
+ Revision: 529875
- Mageia 4 Mass Rebuild

* Sat Jul 13 2013 wally <wally> 0.3.7.1-5.mga4
+ Revision: 453890
- add patch to make '-n NICKNAME' switch to work

* Sat Jul 13 2013 wally <wally> 0.3.7.1-4.mga4
+ Revision: 453804
- sync patches with Fedora (edit them to apply with patch -P1)

* Fri Jan 11 2013 umeabot <umeabot> 0.3.7.1-3.mga3
+ Revision: 350792
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 kamil <kamil> 0.3.7.1-2.mga3
+ Revision: 324510
- rebuild for Mga3 Beta1

* Tue Nov 22 2011 kamil <kamil> 0.3.7.1-1.mga2
+ Revision: 170880
- new version
- xsel removed from suggestions - follow Fedora package
- package cleaning

* Thu Oct 06 2011 kamil <kamil> 0.3.7-1.mga2
+ Revision: 152441
- New version 0.3.7

* Fri May 06 2011 misc <misc> 0.3.6-2.mga1
+ Revision: 95525
- xsel should only be a suggestion ( as it would other wise pull X related lib )

* Fri May 06 2011 misc <misc> 0.3.6-1.mga1
+ Revision: 95506
- fix Group
- clean buildroot ( to make rpmlint happy )
- imported package fpaste


* Fri May 06 2011 Michael Scherer <misc@zarb.org> - 0.3.6-1
- adapt to Mageia

* Thu Apr 14 2011 Ankur Sinha <ankursinha AT fedoraproject DOT org>  - 0.3.6-1
- Update to new upstream release
- Pastes which exceed the server's size limit now error more gracefully
- stdin and clipboard descriptions now default to showing a small text summary of the form "beginning ... middle ... end". 
- sysinfo improvements

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Oct 18 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.3.5-1
- New maintenance release
- --sysinfo: detect running and installed Desktop Environment(s)
- --sysinfo: Show filesystem type in df -hT output
- --sysinfo: Smolt fixed, GL and other additions. by Francois Cami
- --sysinfo: Optimized: rpm -qa --list --nodigest --nosignature. by Dave Riches

* Mon Aug 24 2009 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.3.4-1
- New release
- Validate paste size and content as non-binary before sending; user is prompted Y/N to override for huge pastes or binary content.
- Added options --printonly and --confirm to show or ask user before sending
- --sysinfo updated: Added blkid, top CPU hogs, top memory hogs, X errors,h/w virtualization, 64-bit capable, and last few reboot/runlevel changes
- Workaround to read user input from raw_input following sys.stdin EOF
- Guess language syntax from common file extension(s)
- --help usage compacted and grouped
- Check that 'xsel' is installed for clipboard input support; silent fail on output
- Use 'fpaste/x.x.x' User-agent header
- bug fixes
* Fri Aug 21 2009 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.3.3-2
- Added xsel in requires
* Fri Aug 21 2009 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.3.3-1
- new package release
- Proper urllib2 error handling
- Catches Ctrl-C while waiting for stdin to show a usage reminder rather than a traceback
- Typos fixed, and more TODO
- Added --sysinfo option to gather and pastebin basic system information
- Added options to read text from (xsel) clipboard and write resultant URL to clipboard
* Thu Aug 13 2009 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.3.2-2
- Corrected source0 field
* Thu Aug 13 2009 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.3.2-1
- New tar 
- Man page included in tar
* Wed Aug 12 2009 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.3.1-2
- Review request begins : #516698
- Removed buildroot declaration and removal from install section in accordance with new guidelines
- Aligned description properly
* Tue Aug 11 2009 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.3.1-1
- Initial rpm build
